summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-04-16 05:17:54 +0000
committerSam James <sam@gentoo.org>2021-04-16 05:33:16 +0000
commit38f1aa26c80f353025a8e2763c397dc932a4d100 (patch)
tree07101bb6ed72212d027bc456893354a42a829a79 /net-analyzer/wireshark
parentnet-libs/libpcap: add verify-sig support (diff)
downloadgentoo-38f1aa26c80f353025a8e2763c397dc932a4d100.tar.gz
gentoo-38f1aa26c80f353025a8e2763c397dc932a4d100.tar.bz2
gentoo-38f1aa26c80f353025a8e2763c397dc932a4d100.zip
net-analyzer/wireshark: use live template
Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'net-analyzer/wireshark')
-rw-r--r--net-analyzer/wireshark/wireshark-3.4.4.ebuild27
-rw-r--r--net-analyzer/wireshark/wireshark-9999.ebuild49
2 files changed, 47 insertions, 29 deletions
diff --git a/net-analyzer/wireshark/wireshark-3.4.4.ebuild b/net-analyzer/wireshark/wireshark-3.4.4.ebuild
index d1606cdc102..9b251700aaf 100644
--- a/net-analyzer/wireshark/wireshark-3.4.4.ebuild
+++ b/net-analyzer/wireshark/wireshark-3.4.4.ebuild
@@ -10,20 +10,25 @@ inherit fcaps flag-o-matic lua-single python-any-r1 qmake-utils xdg-utils cmake
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="https://www.wireshark.org/"
-SRC_URI="https://www.wireshark.org/download/src/all-versions/${P/_/}.tar.xz"
-SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-glib-2.68-patches.tar.gz"
-S="${WORKDIR}/${P/_/}"
+
+if [[ ${PV} == *9999* ]] ; then
+ EGIT_REPO_URI="https://gitlab.com/wireshark/wireshark"
+ inherit git-r3
+else
+ SRC_URI="https://www.wireshark.org/download/src/all-versions/${P/_/}.tar.xz"
+ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-glib-2.68-patches.tar.gz"
+ S="${WORKDIR}/${P/_/}"
+
+ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc64 x86"
+fi
LICENSE="GPL-2"
SLOT="0/${PV}"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc64 x86"
-IUSE="
- androiddump bcg729 brotli +capinfos +captype ciscodump +dftest doc dpauxmon
- +dumpcap +editcap http2 ilbc kerberos libxml2 lto lua lz4 maxminddb
- +mergecap +minizip +netlink opus +plugins plugin-ifdemo +pcap +qt5 +randpkt
- +randpktdump +reordercap sbc selinux +sharkd smi snappy spandsp sshdump ssl
- sdjournal test +text2pcap tfshark +tshark +udpdump zlib +zstd
-"
+IUSE="androiddump bcg729 brotli +capinfos +captype ciscodump +dftest doc dpauxmon"
+IUSE+=" +dumpcap +editcap http2 ilbc kerberos libxml2 lto lua lz4 maxminddb"
+IUSE+=" +mergecap +minizip +netlink opus +plugins plugin-ifdemo +pcap +qt5 +randpkt"
+IUSE+=" +randpktdump +reordercap sbc selinux +sharkd smi snappy spandsp sshdump ssl"
+IUSE+=" sdjournal test +text2pcap tfshark +tshark +udpdump zlib +zstd"
CDEPEND="
acct-group/pcap
diff --git a/net-analyzer/wireshark/wireshark-9999.ebuild b/net-analyzer/wireshark/wireshark-9999.ebuild
index 0854e2e8254..9e293f6104b 100644
--- a/net-analyzer/wireshark/wireshark-9999.ebuild
+++ b/net-analyzer/wireshark/wireshark-9999.ebuild
@@ -6,23 +6,29 @@ EAPI=7
LUA_COMPAT=( lua5-{1..2} )
PYTHON_COMPAT=( python3_{7..9} )
-inherit fcaps flag-o-matic git-r3 lua-single python-any-r1 qmake-utils xdg-utils cmake
+inherit fcaps flag-o-matic lua-single python-any-r1 qmake-utils xdg-utils cmake
DESCRIPTION="A network protocol analyzer formerly known as ethereal"
HOMEPAGE="https://www.wireshark.org/"
-EGIT_REPO_URI="https://gitlab.com/wireshark/wireshark"
-LICENSE="GPL-2"
+if [[ ${PV} == *9999* ]] ; then
+ EGIT_REPO_URI="https://gitlab.com/wireshark/wireshark"
+ inherit git-r3
+else
+ SRC_URI="https://www.wireshark.org/download/src/all-versions/${P/_/}.tar.xz"
+ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-glib-2.68-patches.tar.gz"
+ S="${WORKDIR}/${P/_/}"
+
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~x86"
+fi
+
+LICENSE="GPL-2"
SLOT="0/${PV}"
-KEYWORDS=""
-IUSE="
- androiddump bcg729 brotli +capinfos +captype ciscodump +dftest doc dpauxmon
- +dumpcap +editcap http2 ilbc kerberos libxml2 lto lua lz4 maxminddb
- +mergecap +minizip +netlink opus +plugins plugin-ifdemo +pcap +qt5 +randpkt
- +randpktdump +reordercap sbc selinux +sharkd smi snappy spandsp sshdump ssl
- sdjournal test +text2pcap tfshark +tshark +udpdump zlib +zstd
-"
-S=${WORKDIR}/${P/_/}
+IUSE="androiddump bcg729 brotli +capinfos +captype ciscodump +dftest doc dpauxmon"
+IUSE+=" +dumpcap +editcap http2 ilbc kerberos libxml2 lto lua lz4 maxminddb"
+IUSE+=" +mergecap +minizip +netlink opus +plugins plugin-ifdemo +pcap +qt5 +randpkt"
+IUSE+=" +randpktdump +reordercap sbc selinux +sharkd smi snappy spandsp sshdump ssl"
+IUSE+=" sdjournal test +text2pcap tfshark +tshark +udpdump zlib +zstd"
CDEPEND="
acct-group/pcap
@@ -94,7 +100,9 @@ REQUIRED_USE="
lua? ( ${LUA_REQUIRED_USE} )
plugin-ifdemo? ( plugins )
"
-RESTRICT="!test? ( test )"
+
+RESTRICT="test"
+
PATCHES=(
"${FILESDIR}"/${PN}-2.6.0-redhat.patch
"${FILESDIR}"/${PN}-3.4.2-cmake-lua-version.patch
@@ -187,7 +195,12 @@ src_configure() {
src_test() {
cmake_build test-programs
- myctestargs=( --disable-capture --skip-missing-programs=all --verbose )
+ myctestargs=(
+ --disable-capture
+ --skip-missing-programs=all
+ --verbose
+ )
+
cmake_src_test
}
@@ -212,8 +225,8 @@ src_install() {
wiretap
wsutil
)
- for dir in "${dirs[@]}"
- do
+
+ for dir in "${dirs[@]}" ; do
insinto /usr/include/wireshark/${dir}
doins ${dir}/*.h
done
@@ -235,8 +248,8 @@ src_install() {
done
fi
- if [[ -d "${D}"/usr/share/appdata ]]; then
- rm -r "${D}"/usr/share/appdata || die
+ if [[ -d "${ED}"/usr/share/appdata ]]; then
+ rm -r "${ED}"/usr/share/appdata || die
fi
}